#
# spec file for package perl-App-Dochazka-WWW
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-App-Dochazka-WWW
Version: 0.125
Release:        lp150.1.3
%define cpan_name App-Dochazka-WWW
Summary:        Dochazka Attendance & Time Tracking system web client
License:        BSD-3-Clause
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/App-Dochazka-WWW/
Source:         App-Dochazka-WWW-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(App::CELL) >= 0.199
BuildRequires:  perl(App::MFILE::WWW) >= 0.134
BuildRequires:  perl(File::ShareDir) >= 1.00
BuildRequires:  perl(Module::Build) >= 0.37
BuildRequires:  perl(Params::Validate) >= 1.06
BuildRequires:  perl(Software::License)
BuildRequires:  perl(Test::Fatal)
Requires:       perl(App::CELL) >= 0.199
Requires:       perl(App::MFILE::WWW) >= 0.134
Requires:       perl(File::ShareDir) >= 1.00
%{perl_requires}

%description
This is the web client of the Dochazka Attendance & Time Tracking system.
For more information see the App::Dochazka::REST manpage and the
App::MFILE::WWW manpage.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Build.PL installdirs=vendor
./Build build flags=%{?_smp_mflags}

%check
./Build test

%install
./Build install destdir=%{buildroot} create_packlist=0
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes ignore.txt README share

%changelog
* Thu Jul 30 2015 ncutler@suse.com
- git rid of App::Dochazka::REST dependency
* Wed Jul 22 2015 ncutler@suse.com
- add _service file
- Update to 0.125
* Thu Oct 16 2014 ncutler@suse.com
- Update to 0.124
* Thu Oct 16 2014 ncutler@suse.com
- update spec file
* Tue Oct 14 2014 ncutler@suse.com
- Update to 0.123
* Mon Oct 13 2014 ncutler@suse.com
- Update to 0.121
* Wed Sep 24 2014 ncutler@suse.com
- Update to 0.114
* Wed Sep 24 2014 ncutler@suse.com
- remove BuildRequires: perl-App-Dochazka-REST, as the REST
  server is not required for building
* Wed Sep 24 2014 ncutler@suse.com
- Update to 0.113
* Mon Sep 22 2014 ncutler@suse.com
- Update to 0.105
* Thu Sep 11 2014 ncutler@suse.com
- Update to 0.102
* Tue Sep  9 2014 ncutler@suse.com
- Update to 0.074
* Wed Sep  3 2014 ncutler@suse.com
- Update to 0.066
* Wed Sep  3 2014 ncutler@suse.com
- Update to 0.065
* Fri Aug 29 2014 ncutler@suse.com
- Update to 0.058
* Fri Aug 29 2014 ncutler@suse.com
- Update to 0.057
* Thu Aug 28 2014 ncutler@suse.com
- Update to 0.054
* Thu Aug 28 2014 ncutler@suse.com
- Update to 0.053
* Wed Aug 27 2014 ncutler@suse.com
- Update to 0.050
* Tue Aug 26 2014 ncutler@suse.com
- Update to 0.049
* Tue Aug 26 2014 ncutler@suse.com
- Update to 0.048
* Mon Aug 25 2014 ncutler@suse.com
- Update to 0.044
* Mon Aug 25 2014 ncutler@suse.com
- Update to 0.043
* Fri Aug 22 2014 ncutler@suse.com
- Update to 0.036
* Fri Aug 22 2014 ncutler@suse.com
- Update to 0.035
* Thu Aug 21 2014 ncutler@suse.com
- Update to 0.032
* Thu Aug 21 2014 ncutler@suse.com
- Update to 0.031
* Thu Aug 21 2014 ncutler@suse.com
- Update to 0.030
* Thu Aug 21 2014 ncutler@suse.com
- Update to 0.029
* Thu Aug 21 2014 ncutler@suse.com
- Update to 0.028
* Tue Aug 19 2014 ncutler@suse.com
- Update to 0.024
* Tue Aug 19 2014 ncutler@suse.com
- Update to 0.023
* Tue Aug 19 2014 ncutler@suse.com
- Update to 0.022
* Mon Aug 18 2014 ncutler@suse.com
- Update to 0.021
* Mon Aug 18 2014 ncutler@suse.com
- Update to 0.020
* Mon Aug 18 2014 ncutler@suse.com
- Update to 0.019
* Fri Aug 15 2014 ncutler@suse.com
- Update to 0.016
* Thu Aug 14 2014 ncutler@suse.com
- Update to 0.013
* Wed Aug 13 2014 ncutler@suse.com
- updated dependencies
* Wed Aug 13 2014 ncutler@suse.com
- updated to 0.010
* Wed Aug 13 2014 ncutler@suse.com
- Update to 0.010
* Wed Aug 13 2014 ncutler@suse.com
- Update to 0.009
* Wed Aug 13 2014 ncutler@suse.com
- Update to 0.008
* Wed Aug 13 2014 ncutler@suse.com
- Update to 0.007
* Wed Aug 13 2014 ncutler@suse.com
- Update to 0.007
* Wed Aug 13 2014 ncutler@suse.com
- Update to 0.007
* Wed Aug 13 2014 ncutler@suse.com
- initial package 0.005
  * created by cpanspec 1.78.08
